# Rommelwood Bootstrap Theme

A [bootstrap 4](https://getbootstrap.com/) CSS theme for rommelwood websites.

## Scripts

- build with `yarn run build`
    - The build output will be located in `./css/`
- release new version: commit, `yarn version --major` or `--minor` or `--patch`, `git push --tags`
    - the package will be published automatically to https://npm.rommelwood.de/ by gitlab ci

## Use in other projects

- Add this to `.npmrc` of the other project:

```conf
# push and pull scope @rommelwood/* from/to our private registry
# you can login with gitlab username and private access token.
@rommelwood:registry=https://npm.rommelwood.de/
```

- `yarn add @rommelwood/bs_theme^2.0.0`

Please pin the version to avoid conflicts. The version comes after the hash `^`.
See [semver docs](https://docs.npmjs.com/misc/semver) for more information.

If you want to change things in this repo, try to modify the files in your other repository first
(by directly editing the files in `node_modules/`) and then copy the changes back to this repo after
testing them. Then you can commit and release the changes and increment the version in the
`package.json` of the other project. Keep in mind that there are many projects using this package.
Changes should work with all of them.

### Javascript

This repo only contains the CSS files (no bootstrap CSS is required anymore).
If you need Javascript for the bootstrap components, you have to add `bootstrap` as dependency to
your project and include the CSS from this repo and the JS from `bootstrap`.

### Font

We usually use [Mozilla Fira Sans (and Fira Mono)](https://github.com/mozilla/Fira/) as default font.
You can use [this npm package](https://www.npmjs.com/package/mozilla-fira-pack).

## License

[MIT](./LICENSE) © Webteam NOC WH an der Erwin-Rommel-Straße
